Search Type: Posts; User: krullj

Page 1 of 2 1 2

Search: Search took 0.03 seconds.

  1. pscanlon1, nicely done. I was looking at that method around the time you posted. The only difference is that I made the method an override.

    It's available at https://fiddle.sencha.com/#fiddle/pmi...
  2. Oh, sorry. I should have directed my question at dhrpatel. He mentioned posting a workaround if he found one.
  3. Did you ever find a workaround to this problem?
  4. Replies
    5
    Views
    688
    +1.

    Please add version 5.1.1 soon.
  5. Here's a new fiddle with it working in 5.0.1: https://fiddle.sencha.com/#fiddle/ltf

    It looks like it wasn't working because you were trying to use methods in this.control that didn't exist in the...
  6. Haha, don't worry about it. Maybe a mod will come along and fix it.
  7. If you can't get the ViewController to work, please consider reproducing your problem in a Sencha Fiddle at https://fiddle.sencha.com/

    That will make it much easier for others to assist.
  8. You have to call the parent method.


    init: function( ) this.control({
    "app_grid_groups": {
    "itemclick": this.handleGroupsClick
    },
    "app_grid_users": {
    ...
  9. You can use either method. They probably equate to the same thing. The thing that's giving you trouble in your view is that your call to "Ext.data.StoreManager.lookup('petstore')" is happening when...
  10. Yes, sorry. I should have been more specific. I'm generating an Ext JS 5.1.0 app using Sencha Cmd 5.1.2.52.
  11. When using Sencha Cmd to generate a brand new app, I noticed that in app.js, the config "autoCreateViewport" is added. However, the only mention of that config in the docs is that it's deprecated.
    ...
  12. I'm having the same issue, and since all of my models rely on idProperty, it's completely blocking me from upgrading to Ext 5. When will Ext 5.0.1 be available for download?

    I figured some bugs...
  13. REQUIRED INFORMATION

    Ext version tested:

    Ext 4.2.1 rev 883
    Browser versions tested against:

    N/A
    DOCTYPE tested against:
  14. REQUIRED INFORMATION

    Ext version tested:

    Ext 4.2.1 rev 883

    Browser versions tested against:

    Chrome 29.0.1547.76 m
    Firefox 21.0 (firebug 1.11.4 installed)
  15. Glad to hear it's working well for others! Has anyone used the fix in ExtJS versions other than 4.1.3?
  16. I haven't tested this fix with versions other than 4.1.3, but it seems to be working great.

    The code below simply pulls the records out of the store in the order that they are grouped, then...
  17. Sorry, I should have been more specific in my first post. Basically anything another person would need to set up a test to see if they can reproduce your problem. For instance, your store has a model...
  18. It looks like the "2" might be the ID of the record you're trying to use PUT or DELETE on. That's just how REST works. It's helpful that you put the ExtJS version, but overall you didn't provide...
  19. If you want to edit the actual ExtJS properties of the field, you'll need to loop through the properties of the field (excluding functions) and put them into the property grid's store. To...
  20. Replies
    28
    Views
    3,323
    I was wondering what the reason is that you need IE6 support to begin with. According to http://www.ie6countdown.com/ , less than 7% of the entire world uses IE6, and the majority of the users are...
  21. Replies
    1
    Views
    548
    If you look in the rowexpander source, it looks like they check whether or not a row is expanded in the following:

    isCollapsed = row.hasCls(me.rowCollapsedCls)

    You can see the rest of it here,...
  22. Do you have to have all the functionality of a window? You could make the form panel be a floating form panel instead. You could probably even give it a header and some tools to give it the usual...
  23. Figured it out. If you override the class that inherits the Labelable mixin, it works fine.

    Ext.define('MyOverride', {
    override: 'Ext.form.field.Base',
    msgTarget: 'under'
    });
  24. Replies
    1
    Views
    643
    You can use whatever server side language you want, including JSP. Paging has to do with the database, and not the server side language, so your database has to support "limit" and "offset" or...
  25. Honestly, it looks like it should work, but you may want to try the newer format (and make absolutely sure that your override is being applied).

    Just to be safe, try this format, adjusting the...
Results 1 to 25 of 40
Page 1 of 2 1 2